<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<% html_title "#{t(:button_delete)} #{t(:label_budget_id, id: @budget.id)}: #{@budget.subject}" %>
<%= toolbar title: "#{t(:button_delete)} #{t(:label_budget_id, id: @budget.id)}: #{@budget.subject}" %>

<%= styled_form_tag(budget_path(@budget), method: :delete) do %>
  <section class="form--section">
    <p><strong><%= t(:text_budget_destroy_assigned_wp, count: @budget.work_packages.count) %></strong></p>

    <div class="form--field">
      <label class="form--label" for="todo_delete"><%= t(:text_budget_delete) %></label>
      <div class="form--field-container">
        <%= styled_radio_button_tag 'todo', 'delete', false %>
      </div>
    </div>

    <% if @possible_other_budgets.any? %>
      <div class="form--field">
        <label class="form--label" for="todo_reassign"><%= t(:text_budget_reassign_to) %></label>
        <div class="form--field-container">
          <%= styled_radio_button_tag 'todo', 'reassign', true %>
        </div>

        <%= label_tag "reassign_to_id", t(:text_budget_reassign_to), class: "hidden-for-sighted" %>
        <%= styled_select_tag 'reassign_to_id', options_from_collection_for_select(@possible_other_budgets, 'id', 'name'), container_class: '-middle' %>

        <% csp_onclick("document.getElementById('todo_reassign').checked = true", '#reassign_to_id') %>
      </div>
    <% end %>
  </section>

  <%= styled_submit_tag t(:button_apply), class: '-primary' %>
  <%= link_to t(:button_cancel),
              budget_path(@budget),
              class: 'button' %>
<% end %>
